/*
 * lxroll-defs.h
 * Copyright (C) 2008-2012, 2016, 2017, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __LIBx1f4_lxroll_defs_H__
#define __LIBx1f4_lxroll_defs_H__

/*
 * error definitions
 */
#define FREE_ERROR			-2
#define LINK_ERROR			-3
#define MODE_ERROR			-4

/*
 * generation flag definitions
 */
#define CODELINK_LINK			(1L << 0)
#define RESOURCE_LINK			(1L << 1)
#define TEXTFLAT_LINK			(1L << 2)

/*
 * socket flag definitions
 */
#define NONBLOCKING_INPUT		(1L << 0)
#define NONBLOCKING_OUTPUT		(1L << 1)
#define REUSE_ADDRESS			(1L << 2)
#define TCP_NO_DELAY			(1L << 3)

#endif				/* __LIBx1f4_lxroll_defs_H__ */
